'use strict';

var typeMap = {};
var types = require('./types');

if (!process.browser) {
  // load all available handlers
  types.forEach(function (type) {
    typeMap[type] = require('./types/' + type).detect;
  });
} else {
  typeMap.jpg = require('./types/jpg').detect;
  typeMap.png = require('./types/png').detect;
}

module.exports = function (buffer, filepath) {
  var type, result;
  for (type in typeMap) {
    result = typeMap[type](buffer, filepath);
    if (result) {
      return type;
    }
  }
};
